curl --request GET \
--url 'https://api.stateset.com/api/v1/promotions/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"discount_value": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"promotion_type": "string",
"status": "pending"
}
Get a promotion
Get a promotion
GET
/
api
/
v1
/
promotions
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/promotions/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"discount_value": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"promotion_type": "string",
"status": "pending"
}
Path parameters
string
required
Promotion ID
Response
PromotionResponse
string,null
string
required
string,null
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
404 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/promotions/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"discount_value": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"promotion_type": "string",
"status": "pending"
}
Last modified on August 31, 2026